Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRHyperlinkProducerMapFactory

    java.lang.Object
      net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory
          net.sf.jasperreports.engine.export.JRHyperlinkProducerMapFactory

All Implemented Interfaces:
  java.io.Serializable

    public class JRHyperlinkProducerMapFactory

extends JRHyperlinkProducerFactory
implements java.io.Serializable

Map-based hyperlink producer factory implementation.

This implementation wraps a hyperlink type to hyperling producer instance association map.

Version:
  $Id: JRHyperlinkProducerMapFactory.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`JRHyperlinkProducerMapFactory()` Creates a blank factory.

Method Summary
`void` | `addProducer(java.lang.String linkType, JRHyperlinkProducer producer)` Adds a hyperlink producer instance associated to a hyperlink type.
`JRHyperlinkProducer` | `getHandler(java.lang.String linkType)` Returns the hyperlink producer associated with a specific hyperlink type.
`java.util.Map` | `getProducersMap()` Exposes the type to producer association map.
`JRHyperlinkProducer` | `removeProducer(java.lang.String linkType)` Removes a type to producer association.
`void` | `setProducersMap(java.util.Map producers)` Sets the type to producer association map.

Methods inherited from class net.sf.jasperreports.engine.export.JRHyperlinkProducerFactory
`produceHyperlink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRHyperlinkProducerMapFactory

    public JRHyperlinkProducerMapFactory()

  Creates a blank factory.

Method Detail

### getProducersMap

    public java.util.Map getProducersMap()

  Exposes the type to producer association map.

  Returns:
    the type to producer association map

### setProducersMap

    public void setProducersMap(java.util.Map producers)

  Sets the type to producer association map.

  Parameters:
    `producers` - bulk type to producer association map
  See Also:
    `getProducersMap()`

### addProducer

    public void addProducer(java.lang.String linkType,
                            JRHyperlinkProducer producer)

  Adds a hyperlink producer instance associated to a hyperlink type.

  Parameters:
    `linkType` - the type
    `producer` - the producer

### removeProducer

    public JRHyperlinkProducer removeProducer(java.lang.String linkType)

  Removes a type to producer association.

  Parameters:
    `linkType` - the hyperlink type
  Returns:
    the producer which was associated to the type, if any

### getHandler

    public JRHyperlinkProducer getHandler(java.lang.String linkType)

  Description copied from class: `JRHyperlinkProducerFactory`
  Returns the hyperlink producer associated with a specific hyperlink type.

  Specified by:
    `getHandler` in class `JRHyperlinkProducerFactory`
  Parameters:
    `linkType` - the hyperlink type
  Returns:
    an associated hyperlink producer, or `null` when none associated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com